Page MenuHomePhabricator

Define a schema in Meta-Wiki to track user clicks per impression number via Eventlogging
Open, Needs TriagePublic3 Estimate Story Points

Description

We want to track this year, if users click on the banner at the first impression or later impressions. According to Kai, therefore a schema in Meta-Wiki needs to be developed. This schema can then be referenced in the Wiki-configuration. Eventlogging can then save these numbers.

The impression rate per user of the banner will depend on, whether this is possible or not, see T235847

Details

Related Gerrit Patches:
mediawiki/extensions/WikimediaEvents : masterCreate entry for Schema:WMDEBannerInteractions

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 18 2019, 11:13 AM
Jan_Dittrich set the point value for this task to 3.Oct 21 2019, 9:27 AM

Change 544877 had a related patch set uploaded (by Tim Eulitz; owner: Tim Eulitz):
[mediawiki/extensions/WikimediaEvents@master] Create entry for Schema:WMDEBannerInteractions

https://gerrit.wikimedia.org/r/544877

Change 544877 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Create entry for Schema:WMDEBannerInteractions

https://gerrit.wikimedia.org/r/544877

@Tim_WMDE Hi Tim, thank you! Goran says we would also need to store the type of interaction (closing the banner or click on the banner). Could you add this?

@Christine_Domgoergen_WMDE Hey, the request is coming in a bit too late because the cut-off date for this change was earlier today. I can make this change for next week and it would be deployed to the production servers next Thursday (31-10). That should still work fine but will be rather last minute. I am also not 100% sure what the behavior would be here. If a user clicks on a banner after seeing it on the 2nd time and then later on uses the close button when seeing it for the 4th time, you want to track both of these, right? In that case there will be no connection between the users, though.

Tim_WMDE removed Tim_WMDE as the assignee of this task.Oct 28 2019, 4:51 PM
Tim_WMDE moved this task from Doing to Done on the WMDE-FUN-Funban-2019 board.
chrp assigned this task to Tim_WMDE.Oct 31 2019, 8:16 AM
chrp closed this task as Resolved.Nov 7 2019, 1:36 PM
chrp reopened this task as Open.
chrp closed this task as Resolved.

@GoranSMilovanovic @Tim_WMDE @gabriel-wmde
Hello everyone,
how can we get the data we recorded with this schema? Thank you!

@kai.nissen Hallo Kai, wir haben auch auf Wunsch von FR dieses Jahr ein Schema definiert, mit dem wir tracken können, bei der wie vielten Anzeige die User auf das Banner klicken. Kannst du mal kurz schauen, wie wir hier an die Daten kommen? Läuft das über euch oder muss Goran das auswerten? Eine kurze Rückmeldung wäre toll, danke!